> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Anchorage Wallet Report

> Fetches all org wallets and asset balances from the Anchorage Digital API.

Required scope: `wallets:read`

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-anchorage-wallet-report
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-anchorage-wallet-report:
    get:
      operationId: getAnchorageWalletReport
      summary: Get Anchorage Wallet Report
      x-toku-required-scope: wallets:read
      description: >-
        Fetches all org wallets and asset balances from the Anchorage Digital
        API.


        Required scope: `wallets:read`
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAnchorageWalletReportResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetAnchorageWalletReportResponse:
      type: array
      items:
        type: object
        properties:
          walletID:
            type: string
          walletName:
            type: string
          walletAddress:
            type: string
          vaultID:
            type: string
          vaultName:
            type: string
          networkId:
            type: string
          isArchived:
            type: boolean
          isDefault:
            type: boolean
          assets:
            type: array
            items:
              type: object
              properties:
                assetType:
                  type: string
                availableBalance:
                  type:
                    - object
                    - 'null'
                  properties:
                    quantity:
                      type: string
                    currentUSDValue:
                      type: string
                  required:
                    - quantity
                    - currentUSDValue
                totalBalance:
                  type:
                    - object
                    - 'null'
                  properties:
                    quantity:
                      type: string
                    currentUSDValue:
                      type: string
                  required:
                    - quantity
                    - currentUSDValue
              required:
                - assetType
                - availableBalance
                - totalBalance
        required:
          - walletID
          - walletName
          - walletAddress
          - vaultID
          - vaultName
          - networkId
          - isArchived
          - isDefault
          - assets
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
